<script lang="ts">
export default {
  name: 'AccordionList',
  props: {
    data: {
      type: Array,
      default: null,
    },
  },
  data() {
    return {
      videoUrl: '',
      activeButton: null,
    };
  },
  methods: {
    closeModal() {
      this.$emit('onCloseModal');
    },
    openVideoModal(video: any) {
      this.$emit('onOpenVideoModal', video);
    },
  },
};
</script>

<template>
  <div class="accordion-list">
    <ul v-if="data" class="video-spotlight__list">
      <li v-for="item in data" :key="item.text">
        <SlpTypography
          v-if="item.description"
          tag="span"
          variant="body2"
          class="accordion-list__desc"
        >
          {{ item.description }}
        </SlpTypography>
        <SlpButton
          v-if="item.modal"
          variant="tertiary"
          :data-ga-name="item.data_ga_name"
          :data-ga-location="item.data_ga_location"
          class="accordion-list__button"
          @click.native="openVideoModal(item.externalUrl)"
        >
          <SlpIcon
            :icon="item.iconName"
            size="sm"
            class="slp-mr-16"
            color="accent-400"
          />
          {{ item.text }}
        </SlpButton>
        <SlpButton
          v-else-if="item.iconName"
          variant="tertiary"
          :href="item.externalUrl"
          :data-ga-name="item.data_ga_name"
          :data-ga-location="item.data_ga_location"
          class="accordion-list__button"
        >
          <SlpIcon
            :icon="item.iconName"
            size="sm"
            class="slp-mr-16"
            color="accent-400"
          />
          {{ item.text }}
        </SlpButton>
        <SlpButton
          v-else
          variant="tertiary"
          :href="item.externalUrl"
          :data-ga-name="item.data_ga_name"
          :data-ga-location="item.data_ga_location"
          class="accordion-list__button"
        >
          <span class="slp-mr-16 slp-ml-4 accordion-list__icon">
            <svg
              width="15"
              height="15"
              viewBox="0 0 15 15"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M6.60899 0.580762L5.99055 4.07815C5.78815 5.21684 4.92233 6.09991 3.83162 6.30905L0.447042 6.94811C-0.148912 7.0643 -0.148912 7.94737 0.447042 8.05194L3.83162 8.691C4.93357 8.90015 5.78815 9.79483 5.99055 10.9219L6.60899 14.4193C6.72144 15.0351 7.57601 15.0351 7.67721 14.4193L8.29566 10.9219C8.49806 9.78321 9.36388 8.90015 10.4546 8.691L13.8392 8.05194C14.4351 7.93575 14.4351 7.05268 13.8392 6.94811L10.4546 6.30905C9.35264 6.09991 8.49806 5.20522 8.29566 4.07815L7.67721 0.580762C7.56477 -0.0350586 6.71019 -0.0350586 6.60899 0.580762Z"
                fill="#A989F5"
              />
            </svg>
          </span>
          {{ item.text }}
        </SlpButton>
      </li>
    </ul>
  </div>
</template>

<style lang="scss" scoped>
.accordion-list {
  &__button {
    color: $color-accent-400;
    &:hover {
      text-decoration-color: $color-accent-400;
      .accordion-list__icon {
        transform: translateX(8px);
      }
    }
  }
  &__desc {
    display: block;
    margin: 24px 0 20px 0;
  }
  ul li:first-of-type {
    .accordion-list__desc {
      margin-top: 0;
    }
  }
  .accordion-list__icon {
    transition: transform 0.2s ease-in-out;
  }
}
</style>
